///
/// This file is part of Rheolef.
///
/// Copyright (C) 2000-2009 Pierre Saramito <Pierre.Saramito@imag.fr>
///
/// Rheolef is free software; you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation; either version 2 of the License, or
/// (at your option) any later version.
///
/// Rheolef is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with Rheolef; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
///
/// =========================================================================
// file automatically generated by "../../../rheolef/main/tst/curved_Pk_symbolic.cc"
#include "curved_Pk.h"
namespace rheolef {
Float curved_Pk [order_max+1][2*order_max+1][2*order_max+1] = {
 {
 },
 {
  {
   (1.0/2.0),
   (1.0/6.0),
   (1.0/12.0)
  },
  {
   (1.0/6.0),
   (1.0/24.0),
   (1.0/60.0)
  },
  {
   (1.0/12.0),
   (1.0/60.0),
   (1.0/180.0)
  }
 },
 {
  {
   (1.0/2.0),
   (1.0/4.0),
   (3.0/20.0),
   (17.0/168.0),
   (31.0/420.0)
  },
  {
   (1.0/6.0),
   (3.0/40.0),
   (17.0/420.0),
   (25.0/1008.0),
   (461.0/27720.0)
  },
  {
   (1.0/12.0),
   (1.0/30.0),
   (41.0/2520.0),
   (23.0/2520.0),
   (157.0/27720.0)
  },
  {
   (1.0/20.0),
   (1.0/56.0),
   (1.0/126.0),
   (13.0/3168.0),
   (61.0/25740.0)
  },
  {
   (1.0/30.0),
   (3.0/280.0),
   (11.0/2520.0),
   (29.0/13860.0),
   (509.0/450450.0)
  }
 },
 {
  {
   (1.0/2.0),
   (13.0/60.0),
   (103.0/840.0),
   (31.0/385.0),
   (20849.0/360360.0),
   (36017.0/816816.0),
   (2038109.0/58198140.0)
  },
  {
   (1.0/6.0),
   (7.0/120.0),
   (71.0/2520.0),
   (181.0/11088.0),
   (53.0/5005.0),
   (181483.0/24504480.0),
   (317921.0/58198140.0)
  },
  {
   (1.0/12.0),
   (1.0/42.0),
   (5.0/504.0),
   (307.0/60060.0),
   (241.0/80080.0),
   (169223.0/87297210.0),
   (309913.0/232792560.0)
  },
  {
   (1.0/20.0),
   (1.0/84.0),
   (1.0/231.0),
   (2881.0/1441440.0),
   (1879.0/1750320.0),
   (42509.0/66512160.0),
   (313409.0/7.6488984000000000e+08)
  },
  {
   (1.0/30.0),
   (17.0/2520.0),
   (1.0/462.0),
   (5.0/5544.0),
   (2267.0/5105100.0),
   (28541.0/116396280.0),
   (6733.0/45762640.0)
  },
  {
   (1.0/42.0),
   (1.0/240.0),
   (23.0/19305.0),
   (5.0/11088.0),
   (5.0/24453.0),
   (4193.0/39907296.0),
   (87973.0/1.4872858000000000e+09)
  },
  {
   (1.0/56.0),
   (19.0/6930.0),
   (127.0/180180.0),
   (2987.0/12252240.0),
   (5.0/48906.0),
   (16411.0/334639305.0),
   (2432923.0/9.3699005400000000e+10)
  }
 }
};
} // namespace rheolef
